%global tarball_version %%(echo %{version} | tr '.' '_')

Summary:       A tool to convert between various formats used by GPS devices
Name:          gpsbabel
Version:       1.8.0
Release:       3%{?dist}
License:       GPL-2.0-or-later
URL:           http://www.gpsbabel.org
Source0:       https://github.com/GPSBabel/gpsbabel/archive/refs/tags/%{name}_%{tarball_version}.tar.gz

Patch3000:     0002-No-solicitation.patch

BuildRequires: qt5-qtserialport-devel qt5-qtbase-devel
BuildRequires: libusb1-devel zlib-devel desktop-file-utils shapelib-devel cmake

%description
Converts GPS waypoint, route, and track data from one format type
to another.

%prep
%autosetup -p1 -n %{name}-%{name}_%{tarball_version}


%build
%cmake \
  -DGPSBABEL_WITH_ZLIB=pkgconfig \
  -DGPS_BABEL_WITH_SHAPE_LIB=pkgconfig \
  -DGPSBABEL_WITH_SHAPELIB=pkgconfig \
  -DGPSBABEL_MAPPREVIEW=OFF \
  ..
%cmake_build


%install
%cmake_install

install -m 0755 -d %{buildroot}%{_bindir}/
install -m 0755 -p %{_vpath_builddir}/gpsbabel %{buildroot}%{_bindir}/

%files
%doc README* AUTHORS
%license COPYING
%{_bindir}/gpsbabel

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 28 2023 cunshunxia <cunshunxia@tencent.com> - 1.8.0-1
- initial build
